HODL Waves
hodl-waves
Chart: HODL Waves
Parameters
| Name | Type | Description | Required |
|---|---|---|---|
start_date | string | Start date in YYYY-MM-DD format | No |
end_date | string | End date in YYYY-MM-DD format | No |
latest | bool | If true, returns the current value | No |
Output
| Index | Name | Type | Description |
|---|---|---|---|
| 0 | date | string | Date in ISO format |
| 1 | wave_1 | string | 1 Day HODL Wave |
| 2 | wave_2 | string | 1 Week HODL Wave |
| 3 | wave_3 | string | 1 Month HODL Wave |
| 4 | wave_4 | string | 6 Month HODL Wave |
| 5 | wave_5 | string | 1 Year HODL Wave |
| 6 | wave_6 | string | 2 Year HODL Wave |
| 7 | wave_7 | string | 3 Year HODL Wave |
| 8 | wave_8 | string | 5 Year HODL Wave |
| 9 | wave_9 | string | 7 Year HODL Wave |
| 10 | wave_10 | string | 10 Year HODL Wave |
Example Request
https://charts.bitbo.io/api/v1/hodl-waves/?start_date=2025-05-05&end_date=2025-05-06
Example Request with Latest
https://charts.bitbo.io/api/v1/hodl-waves/?latest=true
Code Samples
- cURL
- Python
- JavaScript
- Go
curl "https://charts.bitbo.io/api/v1/hodl-waves/?start_date=2025-05-05&end_date=2025-05-06&api_key=YOUR_API_KEY"
import requests
url = "https://charts.bitbo.io/api/v1/hodl-waves/"
params = {
"start_date": "2025-05-05",
"end_date": "2025-05-06",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
data = response.json()
print(data)
const url = "https://charts.bitbo.io/api/v1/hodl-waves/";
const params = new URLSearchParams({
start_date: "2025-05-05",
end_date: "2025-05-06",
api_key: "YOUR_API_KEY"
});
const response = await fetch(`${url}?${params}`);
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://charts.bitbo.io/api/v1/hodl-waves/?start_date=2025-05-05&end_date=2025-05-06&api_key=YOUR_API_KEY", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}